Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# TAO_EC_Timeout_Filter Class Reference

A filter based on event type/source. More...

`#include <EC_Timeout_Filter.h>`

Inheritance diagram for TAO_EC_Timeout_Filter

[legend]
Collaboration diagram for TAO_EC_Timeout_Filter:

[legend]
List of all members.

## Public Methods
| TAO_EC_Timeout_Filter (TAO_EC_Event_Channel *event_channel, TAO_EC_ProxyPushSupplier *supplier, const TAO_EC_QOS_Info& qos_info, RtecEventComm::EventType type, RtecEventComm::Time period)
| Constructor.
virtual | ~TAO_EC_Timeout_Filter (void)
| Destructor.
const TAO_EC_QOS_Info& | qos_info (void) const
| Return the QOS_Info for this Timeout filter.
RtecEventComm::EventType | type (void) const
| The type of timeout event that we generate.
void | push_to_proxy (const RtecEventComm::EventSet& event, TAO_EC_QOS_Info& qos_info, CORBA::Environment& ACE_TRY_ENV)
| Callback from the Timeout_Generator.
virtual int | filter (const RtecEventComm::EventSet& event, TAO_EC_QOS_Info& qos_info, CORBA::Environment& env)
virtual int | filter_nocopy (RtecEventComm::EventSet& event, TAO_EC_QOS_Info& qos_info, CORBA::Environment& env)
virtual void | push (const RtecEventComm::EventSet& event, TAO_EC_QOS_Info& qos_info, CORBA::Environment& env)
virtual void | push_nocopy (RtecEventComm::EventSet& event, TAO_EC_QOS_Info& qos_info, CORBA::Environment& env)
virtual void | clear (void)
| Clear any saved state, must reset and assume no events have been received.
virtual CORBA::ULong | max_event_size (void) const
| Returns the maximum size of the events pushed by this filter.
virtual int | can_match (const RtecEventComm::EventHeader& header) const
virtual int | add_dependencies (const RtecEventComm::EventHeader& header, const TAO_EC_QOS_Info &qos_info, CORBA::Environment &ACE_TRY_ENV)

## Detailed Description

A filter based on event type/source.

This filter only accept events with a predefined type/source, both the source and the type can be wildcards.

## Constructor & Destructor Documentation

TAO_EC_Timeout_Filter::TAO_EC_Timeout_Filter ( | TAO_EC_Event_Channel * event_channel,
| TAO_EC_ProxyPushSupplier * supplier,
| const TAO_EC_QOS_Info & qos_info,
| RtecEventComm::EventType type,
| RtecEventComm::Time period )`[inline]`

| Constructor.

TAO_EC_Timeout_Filter::~TAO_EC_Timeout_Filter ( | void )`[virtual]`

| Destructor.

## Member Function Documentation

int TAO_EC_Timeout_Filter::add_dependencies ( | const RtecEventComm::EventHeader & header,
| const TAO_EC_QOS_Info & qos_info,
| CORBA::Environment & ACE_TRY_ENV )`[virtual]`

| This is used for computing the scheduling dependencies: Leaf filters check if the header could be matched, similar to the can_match() method; if it does they return 1, and 0 otherwise. Intermediate nodes always return 0. This is used to build precise dependencies between the suppliers and the leaf of the filters that accept that event. Notice that only the nodes doing scheduling recurse through the list, so in configurations that do no require scheduling the recursion stops fairly soon. Reimplemented from TAO_EC_Filter.

int TAO_EC_Timeout_Filter::can_match ( | const RtecEventComm::EventHeader & header ) const`[virtual]`

| Returns 0 if an event with that header could never be accepted. This can used by the suppliers to filter out consumers that couldn't possibly be interested in their events. The rt_info and Reimplemented from TAO_EC_Filter.

void TAO_EC_Timeout_Filter::clear ( | void )`[virtual]`

| Clear any saved state, must reset and assume no events have been received. Reimplemented from TAO_EC_Filter.

int TAO_EC_Timeout_Filter::filter ( | const RtecEventComm::EventSet & event,
| TAO_EC_QOS_Info & qos_info,
| CORBA::Environment & ACE_TRY_ENV )`[virtual]`

| Filter this event, returns 1 if the event is accepted, 0 otherwise. Notice that there are two versions of the method, if the event is not const then filter can take ownership of the event. Reimplemented from TAO_EC_Filter.

int TAO_EC_Timeout_Filter::filter_nocopy ( | RtecEventComm::EventSet & event,
| TAO_EC_QOS_Info & qos_info,
| CORBA::Environment & ACE_TRY_ENV )`[virtual]`

| Reimplemented from TAO_EC_Filter.

CORBA::ULong TAO_EC_Timeout_Filter::max_event_size ( | void ) const`[virtual]`

| Returns the maximum size of the events pushed by this filter. Reimplemented from TAO_EC_Filter.

void TAO_EC_Timeout_Filter::push ( | const RtecEventComm::EventSet & event,
| TAO_EC_QOS_Info & qos_info,
| CORBA::Environment & env )`[virtual]`

| This is called by the children when they accept an event and which to pass it up. Notice that there are two versions of the method, if the event is not const then filter can take ownership of the event. Reimplemented from TAO_EC_Filter.

void TAO_EC_Timeout_Filter::push_nocopy ( | RtecEventComm::EventSet & event,
| TAO_EC_QOS_Info & qos_info,
| CORBA::Environment & env )`[virtual]`

| Reimplemented from TAO_EC_Filter.

void TAO_EC_Timeout_Filter::push_to_proxy ( | const RtecEventComm::EventSet & event,
| TAO_EC_QOS_Info & qos_info,
| CORBA::Environment & ACE_TRY_ENV )

| Callback from the Timeout_Generator.

ACE_INLINE const TAO_EC_QOS_Info & TAO_EC_Timeout_Filter::qos_info ( | void ) const

| Return the QOS_Info for this Timeout filter.

ACE_INLINE RtecEventComm::EventType TAO_EC_Timeout_Filter::type ( | void ) const

| The type of timeout event that we generate.

The documentation for this class was generated from the following files:

- EC_Timeout_Filter.h
- EC_Timeout_Filter.cpp
- EC_Timeout_Filter.i